PACSORT(8)

NAME
pacsort - sort utility implementing alpm_pkg_vercmp

SYNOPSIS

pacsort [options] [files...]

DESCRIPTION

pacsort concatenates the given files, sorts them, and writes them to standard output. Default order is oldest to newest.

Standard input is read when no files are given.

By default the lines are treated as lists of plain version strings.

OPTIONS

-f, --files
    If the input lists are in the format *-.pkg.tar, sort lines by pkgname and pkgver.

-h, --help
    Display syntax and command line options.

-k, --key <index>
    Sort the input starting on the specified column.

-r, --reverse
    Sort in reverse order.

-t, --separator <sep>
    Field separator. Default separator is space.

-v, --version: Display the version.

-z, --null
    Lines end with null bytes rather than newlines.

SEE ALSO

pacman(8), vercmp(8)

BUGS

Bugs? You must be kidding; there are no bugs in this software. But if we happen to be wrong, send us an email with as much detail as possible to pacman-contrib@lists.archlinux.org.

AUTHORS

Current maintainers:

    • Johannes Löthberg <johannes@kyriasis.com>

    • Daniel M. Capella <polyzen@archlinux.org>

For additional contributors, use git shortlog -s on the pacman-contrib.git repository.